Subject: bug#43597: 28.0.50; arc-mode.el fails to display a ZIP file

From: Andreas Schwab <[email-masked]>
Date: Thu, 24 Sep 2020 22:25:23 +0200

On Sep 24 2020, Stephen Berman wrote:

> In case it helps, here is the final byte sequence in the file (I've
> replace the control characters and raw bytes by ASCII representations):
>
> PK^E^F\377\377\377\377%^@%^@\377\377\377\377\377\377\377\377^@^@

That means the archive is in ZIP64 format.  See
<https://pkware.cachefly.net/webdocs/casestudies/APPNOTE.TXT>.  The real
values are contained in the zip64 end of central directory record, which
has "PK\6\6" as the signature.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."